; ------------------------------------------------
; UVS RDR Version 1.0 structure definition for IDL
; October 1, 1996
; ------------------------------------------------

spec = { uvs,$
		; FDS Count and Time
		fds:0.0,$		; FDS count
		spno:0,$		; Spectrum Number
		scid:0,$		; Space Craft ID
		data_mode:0,$		; Data mode
		scet_yr:0,$		; Space Craft Event Time (YEAR)
		scet_day:0,$		; Space Craft Event Time (DAY)
		scet_hr:0,$		; Space Craft Event Time (HOUR) 
		scet_min:0,$		; Space Craft Event Time (MIN)
		scet_sec:0,$		; Space Craft Event Time (SEC)
		scet_ms:0,$		; Space Craft Event Time (MS)

		; History
		fpn:0,$			; FPN spectrum number 
		cal:0,$			; CAL spectrum number
		scat:0,$		; SCAT matrix number

		; counting mode and HV level
		counting_mode:0,$	; Counting mode
		hv:0,$			; High Voltage Level

		; integration time and scale factor
		dt:0.0,$		; Integration time
		scale:0.0,$		; Scale Factor

		; UVS original pointing
		ag_az:0.0,$		; Air-Glow Azimuth
		ag_el:0.0,$		; Air-Glow Elevation
		ag_ra:0.0,$		; Air-Glow Right-Ascension
		ag_dec:0.0,$		; Air-Glow Declination
		occ_ra:0.0,$		; Occultation Right-Ascension
		occ_dec:0.0,$		; Occultation Declination
		dl:FLTARR(5),$		; Delta L [5 values]
		dw:FLTARR(5),$		; Delta W [5 values]
		rot:FLTARR(4),$		; Rotation matrix [A,B,C,D]
		sun_ra:0.0,$		; Sun Right-Ascension
		sun_dec:0.0,$		; Sun Declination
		pba:0.0,$		; Pitch Bias Angle
		yba:0.0,$		; Yaw Bias Angle

		; footprint
		pb_id:0,$		; Picture Body ID
		cb_id:0,$		; Central Body ID
		sc_cb:FLTARR(3),$	; S/C, Central Body Centered, EME50
		pb_sc:FLTARR(3),$	; Picture Body, S/C Centered, EME50
		sun_sc:FLTARR(3),$	; Sun (unit vector), S/C Centered, EME50
		sc_cb_range:0.0,$	; S/C - Central Body Range
		sc_pb_range:0.0,$	; S/C - Picture Body Range
		sc_sun_range:0.0,$	; S/C - Sun Range 
		pb_subsl_lat:0.0,$	; Picture Body Subsolar Latitude
		pb_subsl_lon:0.0,$	; Picture Body Subsolar Longitude	
		pb_subsc_lat:0.0,$	; Picture Body Sub-S/C Latitude
		pb_subsc_lon:0.0,$	; Picture Body Sub-S/C Longitude
		cb_subsc_lon:0.0,$	; Central Body Sub-S/C Longitude
		sc_phase_ang:0.0,$	; S/C Phase Angle
		pb_semi_diam:0.0,$	; Picture Body Angular Semi-diameter

		scan_az:0.0,$		; Azimuth of Scan Platform
		scan_el:0.0,$		; Elevation of Scan Platform
		scan_twist:0.0,$	; Twist Angle of Scan Platform

		p5_lat:0.0,$		; P5 Planetodetic Latitude
		p5_lon:0.0,$		; P5 Longitude
		p5_incidence:0.0,$	; P5 Solar Incidence Angle
		p5_emission:0.0,$	; P5 S/C Emission Angle
		p5_phase:0.0,$		; P5 S/C Phase Angle
		p5_pca_altitude:0.0,$	; P5 PCA Altitude
		p5_pca_hour_angle:0.0,$	; P5 PCA Hour Angle
		p5_slant_range:0.0,$	; P5 Slant Range

		p2_lat:0.0,$		; P2 Planetodetic Latitude
		p2_lon:0.0,$		; P2 Longitude
		p2_incidence:0.0,$	; P2 Solar Incidence Angle
		p2_emission:0.0,$	; P2 S/C Emission Angle
		p2_phase:0.0,$		; P2 S/C Phase Angle
		p2_pca_altitude:0.0,$	; P2 PCA Altitude
		p2_pca_hour_angle:0.0,$	; P2 PCA Hour Angle
		p2_slant_range:0.0,$	; P2 Slant Range

		p8_lat:0.0,$		; P8 Planetodetic Latitude
		p8_lon:0.0,$		; P8 Longitude
		p8_incidence:0.0,$	; P8 Solar Incidence Angle
		p8_emission:0.0,$	; P8 S/C Emission Angle
		p8_phase:0.0,$		; P8 S/C Phase Angle
		p8_pca_altitude:0.0,$	; P8 PCA Altitude
		p8_pca_hour_angle:0.0,$	; P8 PCA Hour Angle
		p8_slant_range:0.0,$	; P8 Slant Range

		p5_X:0.0,$		; P5 X Position in System
		p5_Y:0.0,$		; P5 Y Position in System
		p5_XM:0.0,$		; P5 X Position in System
		p5_YM:0.0,$		; P5 Y Position in System
		slit_tilt:0.0,$		; Slit Tilt wrt System

		; status words
		pointing_bad:0,$	; original pointing flagged bad OR uncorrectable glitch
		azel_corrected:0,$	; AZ/EL pointing glitch was corrected
		footprint_bad:0,$	; footprint quantities could not be calculated
		spectrum_bad:0,$	; spectra data quality is bad
	
		; Julian date
		jd:0.0d0,$		; Julian Date

		; UVS data vector with 6 shift channels to either side
		lshift:FLTARR(6),$	; 6 Shift channels (shortward)
		data:FLTARR(126),$	; 126 Data channels	
		rshift:FLTARR(6) }	; 6 Shift channels (longward)

	STOP	;;kes
	END	;;kes










